package retrofit2.converter.scalars;

import java.io.IOException;
import retrofit2.Converter;
import 㿎.AbstractC2651;
import 㿎.C2628;

public final class ScalarRequestBodyConverter<T> implements Converter<T, AbstractC2651> {
    public static final ScalarRequestBodyConverter<Object> INSTANCE = new ScalarRequestBodyConverter<>();
    public static final C2628 MEDIA_TYPE = C2628.m6936("text/plain; charset=UTF-8");

    @Override // retrofit2.Converter
    public AbstractC2651 convert(T t) throws IOException {
        return AbstractC2651.create(MEDIA_TYPE, String.valueOf(t));
    }
}
